Installer - Bug #35157

cache-enabled setting for proxy content module isn't migrated to 'true’ properly
07/01/2022 05:46 PM - lan Ballou

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: External modules
Target version: 3.2.2
Difficulty: Fixed in Releases: 3.3.1,3.4.0
Triaged: No Found in Releases: 3.1.0,3.1.1,3.1.2,3.1.3, 3.2.0, 3.2.1,
3.2.2,3.3.0,3.3.1,3.4.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/794,
https://github.com/theforeman/foreman-i
nstaller/pull/802

Description

This migration (https:/github.com/theforeman/foreman-installer/commit/4155c66f59ea42fe10d709434d6ab5dcdb66b572) is directed
at the proxy-content puppet module, but it needs to be migrated through the Katello puppet module. As a result, folks are seeing the
redis cache being turned off on their systems. Community thread:
https://community.theforeman.org/t/upgrade-issue-to-4-4-1-internal-server-error-and-a-notice-about-4-5-rc2/29124/16

Related issues:
Related to Installer - Feature #34325: Enable the redis cache for pulp conten... Closed

Associated revisions

Revision b6305f7f - 07/05/2022 05:39 PM - Ewoud Kohl van Wijngaarden
Fixes #35157 - Enable Pulp's content caching on Katello

Like 4155c66f59ea42fe10d709434d6ab5dcdb66b572 but for the Katello
scenario.

History

#1 - 07/01/2022 05:47 PM - lan Ballou

Katello expects the redis cache to be enabled. If it isn't it fails. Perhaps the redis cache should be permanently on rather than configurable.

#2 - 07/05/2022 10:18 AM - Ewoud Kohl van Wijngaarden

it needs to be migrated through the Katello puppet module.

| don't see how that could work. puppet-katello doesn't have any Pulp settings: it's all in puppet-foreman_proxy_content. Perhaps you meant the
katello installer scenario? https://community.theforeman.org/t/upgrade-issue-to-4-4-1-internal-server-error-and-a-notice-about-4-5-rc2/29124/15
suggests you are talking about the katello scenario.

#3 - 07/05/2022 10:18 AM - Ewoud Kohl van Wijngaarden
- Related to Feature #34325: Enable the redis cache for pulp content server by default added

#4 - 07/05/2022 10:21 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/794 added

#5 - 07/05/2022 05:39 PM - The Foreman Bot
- Fixed in Releases 3.4.0 added
https://github.com/theforeman/foreman-installer/commit/4155c66f59ea42fe10d709434d6ab5dcdb66b572
https://community.theforeman.org/t/upgrade-issue-to-4-4-1-internal-server-error-and-a-notice-about-4-5-rc2/29124/16
https://community.theforeman.org/t/upgrade-issue-to-4-4-1-internal-server-error-and-a-notice-about-4-5-rc2/29124/15

#6 - 07/05/2022 06:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|b6305f7{8d7877ec9a38314a6eed521143bd27ff.

#7 - 08/23/2022 05:17 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/802 added

#8 - 08/24/2022 08:58 AM - The Foreman Bot
- Fixed in Releases 3.3.1 added
